POST /papi/v1/ramp/connect/prime/transactions
Request Body
| Field | Type | Mandatory | Remarks |
|---|
| userId | string | Yes | Customer’s Binance sub-account ID |
| startTime | timestamp | Yes | Start timestamp |
| endTime | timestamp | Yes | End timestamp |
| direction | string | No | BUY or SELL |
| page | int | No | Page number. Default: 1 |
| rows | int | No | Records per page. Default: 10. Max: 100 |
Example
{
"userId": "54321123456",
"startTime": 1756113110,
"endTime": 1756545215,
"direction": "BUY",
"page": 1,
"rows": 10
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/transactions \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}","startTime":1762313981786,"endTime":1762400381786,"rows":20,"page":1}'
Response Body
| Field | Type | Remarks |
|---|
| total | int | Total number of records across all pages |
| records | object array | records |
| page | int | Current page number. |
| rows | int | Records per page. |
Record object
| Field | Type | Remarks |
|---|
| orderId | string | Binance order ID |
| clientOrderId | string | Client side order ID |
| direction | string | BUY or SELL |
| fiatCurrency | string | Fiat currency |
| cryptoCurrency | string | Crypto currency |
| fiatAmount | decimal | Fiat amount |
| cryptoAmount | decimal | Crypto Amount |
| price | decimal | Price. 1 crypto currency= {price} fiat currency |
| status | string | PROCESSING / FILLED / FAILED |
| spreadAmount | string | Revenue from Spread (in Fiat Currency) |
| createTime | timestamp | Order creation time (UTC) |
| settleTime | timestamp | Settlement time (UTC) |
Example
{
"total": 100,
"page": 1,
"rows": 10,
"records": [
{
"orderId": "1234567890",
"clientOrderId": "myOrder001",
"direction": "BUY",
"fiatCurrency": "EUR",
"cryptoCurrency": "BTC",
"fiatAmount": 100,
"cryptoAmount": 0.00102181,
"price": 97849.27,
"status": "FILLED",
"spreadAmount": "0.99",
"createTime": "1692951399",
"settleTime": "1692954999"
}
]
}
Last modified on